<?php 


use App\Models\Category;
use App\Models\PostCategoryRelationship;
use App\Models\Post;
use App\Models\PostMeta;
use App\Models\Menu;
use App\Models\NewMenuItem;
use App\Models\Widget;


function generateBreadcrumb(){

for($i = 1; $i <= count(Request::segments()); $i++):?>
    <li>
        <?= Request::segment($i); ?>
    </li>
<?php endfor;

}




function f_generateBreadcrumb(){?>
    <li class="thm-breadcrumb__item"><a href="<?php echo url('/');?>">
        &nbsp;Home 
    </a></li>
<?php for($i = 1; $i <= count(Request::segments()); $i++):
if($i>=count(Request::segments())){?>
<li class="thm-breadcrumb__item"> 

   <?php $post_type = check_post_type(Request::segment($i));
              if($post_type == 'post' || $post_type == 'page'){
                $t = get_post_title_by_slug(Request::segment($i));
              }else{
                $t = get_cat_title_by_slug(Request::segment($i));
              }
        ?>
        <?= $t ?>
    </li>




<?php } else {?>
  <li class="thm-breadcrumb__item"> <a href="<?php echo url('/').'/'.Request::segment($i);?>"> 

       <?php $post_type = check_post_type(Request::segment($i));
              if($post_type == 'post' || $post_type == 'page'){
                $t = get_post_title_by_slug(Request::segment($i));
              }else{
                $t = get_cat_title_by_slug(Request::segment($i));
              }
        ?>
        <?= $t ?>
   </a></li>

<?php } ?>

  
        
       
<?php endfor;

}


function get_post_title_by_slug($slug){
   $post = Post::select('title')->where([['slug',$slug],['status', 1]])->first(); 
   return $post ? $post->title : '';
}
function get_permalink($id){
 $post = Post::where([['id',$id],['status', 1]])->first();
  
  if($post && $post->menu->parent_page != 0){

    $page = Post::where([['id',$post->menu->parent_page],['status', 1]])->first();
    if($page && $page->menu->parent_page != 0){
      $page2= Post::where([['id',$page->menu->parent_page],['status', 1]])->first();


       if($page2 && $page2->menu->parent_page != 0){
      $page3= Post::where([['id',$page2->menu->parent_page],['status', 1]])->first();
      return $page3 ? url($page3->slug.'/'.$page2->slug.'/'.$page->slug.'/'.$post->slug) : 'javascript:void(0)';

    }

      
      return $page2 ? url($page2->slug.'/'.$page->slug.'/'.$post->slug) : 'javascript:void(0)';
    }

    return $page ? url($page->slug.'/'.$post->slug) : 'javascript:void(0)';


  }

  return $post ? url($post->slug) : 'javascript:void(0)';
}

function check_post_type($slug){

  $post = Post::select('post_type')->where('slug',$slug)->first();
  return $post  ? $post->post_type : NULL;
}


function get_category_posts($cat_id,$number_of_posts = -1,$orderby = 'created_at', $order = 'DESC'){
  if($number_of_posts == -1){
    $posts = Post::whereHas('categories', function($query) use($cat_id) {
          $query->where('category_id',$cat_id);
      })->where([['post_type','=','post'],['status', 1]])->orderBy($orderby, $order)->get();
  }else{
    $posts = Post::whereHas('categories', function($query) use($cat_id) {
          $query->where('category_id',$cat_id);
      })->where([['post_type','=','post'],['status', 1]])->orderBy($orderby, $order)->paginate($number_of_posts);
  }

  return $posts ? $posts : null;
}

function get_slug($id){
   $post = Post::select('slug')->where([['id',$id],['status', 1]])->first(); 
   return $post ? $post->slug : '#';
}

function get_cat_id_by_slug($slug){
   $category = Category::select('id')->where('slug',$slug)->first(); 
   return $category ? $category->id : NULL;
}

function get_post_meta($post_id,$meta_key){
   $post_meta = PostMeta::select('meta_value')->where([['post_id', $post_id],['meta_key', $meta_key]])->first(); 
   return $post_meta ? $post_meta->meta_value : '';
}

function get_post_title($id){
   $post = Post::select('title')->where([['id',$id],['status', 1]])->first(); 
   return $post ? $post->title : '';
}

function get_menu_title($id){
   $menu = NewMenuItem::select('item_name')->where('id',$id)->first(); 
   return $menu ? $menu->item_name : '';
}


function check_post_meta($post_id,$meta_key){
   $post_meta = PostMeta::select('meta_value')->where([['post_id', $post_id],['meta_key', $meta_key]])->first(); 
   return $post_meta ? true : false;
}

function fetchCategoryTreeList($parent = 0, $category_tree_array = '') {

    if (!is_array($category_tree_array))
    $category_tree_array = array();

  $categories = Category::where('parent', '=', $parent)->select('id', 'title', 'parent')->get();
  $category_items = Category::where('parent', $parent)->count();
 
  if ($category_items > 0) {
     $category_tree_array[] = "<ul>";
   foreach($categories as $category){
	  $category_tree_array[] = "<li>". $category->title."</li>";
      $category_tree_array = fetchCategoryTreeList($category->id, $category_tree_array);
    }
	$category_tree_array[] = "</ul>";
  }
  return $category_tree_array;
}

function get_categories_listing($parent = 0, $title='', $spacing = '', $cat = array()) {
        
        $categories = Category::where('parent', '=', $parent)->select('id', 'title', 'post_status')->orderBy('id', 'asc')->get();
        foreach ($categories as $category) {
            $cat_temp = array();
            $cat_temp['id'] = $category->id;
            $cat_temp['post_status'] = $category->post_status;
            $cat_temp['title'] = $spacing . $category->title;
            $cat_temp['post_count'] = PostCategoryRelationship::where('category_id', $category->id)->count();
            if($parent == 0) {
                $cat_temp['cat_tree'] = $title . $category->title;
            } else {
                $cat_temp['cat_tree'] = $title . ' <i class="fa fa-arrow-right" aria-hidden="true"></i> ' . $category->title;
            }
            
            $cat[] = $cat_temp;
            $cat = get_categories_listing($cat_temp['id'], $cat_temp['cat_tree'], $spacing, $cat);
        }

        return $cat;
    
    }

function fetchCategoryTree($parent = 0, $spacing = '', $category_tree_array = '') {

  if (!is_array($category_tree_array))
  $category_tree_array = array();
  $categories = Category::where('parent', '=', $parent)->select('id', 'title', 'parent')->get();
  $category_items = Category::where('parent', $parent)->count();
  if ($category_items > 0) {
    foreach($categories as $category){
      $category_tree_array[] = array("id" => $category->id, "title" => $spacing . $category->title);
      $category_tree_array = fetchCategoryTree($category->id, $spacing . '&nbsp;&nbsp;&nbsp;&nbsp;', $category_tree_array);
    }
  }
  return $category_tree_array;
}


function header_menu($parent = 0, $page_tree_array = '', $count = 0) {



    if (!is_array($page_tree_array))

    $page_tree_array = array();



   $menus= DB::table('menus')->join('posts', function ($join) {

            $join->on('menus.post_id', '=', 'posts.id')->where([['posts.post_type','page'],['posts.status', 1]]);

            })->select('posts.title', 'posts.slug', 'menus.parent_page','menus.post_id','posts.slug_status')

           ->where([['menus.parent_page', '=', $parent],['menus.flag', '=', 0]])->orderBy('menu_order', 'asc')->get();

    

   $sub_items = DB::table('menus')->join('posts', function ($join) {

            $join->on('menus.post_id', '=', 'posts.id')->where([['posts.post_type','page'],['posts.status', 1]]);

            })->select('posts.title', 'posts.slug', 'menus.parent_page','menus.post_id','posts.slug_status')

           ->where([['menus.parent_page', '=', $parent],['menus.flag', '=', 0]])->count();

 

  if ($sub_items > 0) {
	 
	  if($parent == 0){
		$page_tree_array[] = "<ul class='nav navbar-nav main-nav-menu xs-bt nav-fill'>";
	  }else{
	  	$page_tree_array[] = "<ul class='dropdown-menu dropdown-main'>";
	  }
     

   foreach($menus as $menu){

       $sub_items1 = DB::table('menus as a')->join('menus as b', function ($join) use($menu) {

            $join->on('a.post_id', '=', 'b.parent_page')->where('b.parent_page', '=', $menu->post_id);

            })->count();

       if($sub_items1 == 0) {

            $page_tree_array[] = "<li class='nav-item'><a class='nav-link' href='".url($menu->slug)."'><img src='".get_post_meta($menu->post_id,'menu-icon')."'><span>". $menu->title."</span></a>"; 

       }else{
	   
	      $url = ($menu->slug_status == 1)? url( $menu->slug ) : 'javascript:void(0)';
			
			if($menu->parent_page == 0){
				$li_items  = "<li class='nav-item dropdown'><a class='nav-link dropdown-toggle' href='".$url."' data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'><img src='".get_post_meta($menu->post_id,'menu-icon')."'><span>".$menu->title."</span></a>";
			}else{
				$li_items = "<li><a href='".url($menu->slug)."'>". $menu->title."</a>";
			}

          $page_tree_array[] = $li_items;

       }          

      

      $page_tree_array = header_menu($menu->post_id, $page_tree_array,$count);

    }

	$page_tree_array[] = "</li></ul>";

  }

  return  $page_tree_array;

}

function get_menu($id){

 $result= DB::table('new_menu_items')->where([['menu_id',$id],['parent','0']])->get(); 
 return $result->first() ? $result : null;
}

function get_sub_menu($parent_id){

  $result= DB::table('new_menu_items')->where('parent',$parent_id)->get(); 
  return $result->first() ? $result : null;
}


function get_menu_tree($parent_id,$menu_id) 
{
 
$menu = "";

 
  $sqlquery = NewMenuItem::where([['parent', $parent_id],['menu_id',$menu_id]])->orderBy('menu_order', 'asc')->get();
foreach($sqlquery as $menus){
  if($menus->page_id!='0'){
    $page_link=get_permalink($menus->page_id);
  }
  else {
     $page_link=$menus->custom_url;
  }

        $check_submenu=NewMenuItem::where([['parent', $menus->id],['menu_id',$menu_id]])->get();
        
        if(isset($check_submenu[0]->id) && $parent_id=='0'){ ////////this is for parent menu with submenu ...
        $li_class='nav-item dropdown mainmenu';
        $a_all='class="nav-link dropdown-toggle" id="navbarDropdown" role="button" aria-haspopup="true" aria-expanded="false"';
        $ul_class='dropdown-menu main_menu animate slideIn';
       
       }
       else if(isset($check_submenu[0]->id) && $parent_id!='0'){ ////////this is for parent menu Under a submenu ...
        $li_class='dropdown submenu';
        $a_all='class="dropdown-item dropdown-toggle" id="navbarDropdown" role="button" aria-haspopup="true" aria-expanded="false"';
        $ul_class='dropdown-menu sub-submenu animate slideIn';
     
        }

        else if($parent_id=='0'){ ////////////////////////this is for only parent menu...
        $li_class='';
        $a_all='';
        $ul_class='dropdown-menu main_menu animate slideIn';
        
        } 
      else{                         ////////////////////////this is for child menu....
        $li_class='';
        $a_all='class="dropdown-item"';
        $ul_class='dropdown-menu main_menu animate slideIn';
        

        }

     $menu .="<li class='".$li_class."'><a ".$a_all." href='".$page_link."'>".ucwords(strtolower($menus->item_name))."</a>";
              
      if(get_menu_tree($menus->id,$menu_id)){
       $menu .= "<ul class='".$ul_class."'>".get_menu_tree($menus->id,$menu_id)."</ul>"; //call  recursively
     }
       
       $menu .= "</li>";
 
    }
    
    return $menu;
} 



function get_all_page_of_this_parent($parent_id,$post_id){
$li='';

 $result= menu::where('parent_page',$parent_id)->get(); 
 foreach ($result as $rec) {
     
     $menu=NewMenuItem::where([['page_id', $rec->post_id],['menu_id','7']])->first();
     if(isset($menu->item_name) && !empty($menu->item_name) ){
            // $li.=$rec->post_id.'<br>';
  if($rec->post['title']!=''){
      
   
    if($rec->post_id==$post_id){
      $class='active';
    }else{
      $class='';
    }
  $li.='<li class="'.$class.'"><a href="'.get_permalink($rec->post_id).'">'.$rec->post['title'].'</a></li>';
}
}
   # code...
 }


 return $li;
}

function with_short_code($shortcode_content){


  $short_code = array();
  $replace   = array();
  
   $widgets = Widget::get();
        foreach ($widgets as $wid) {
          $short_code[]='['.$wid->title.']';
          $replace[]=$wid->content;          
        }
  $content=str_replace($short_code, $replace, $shortcode_content);
  
    
     return $content ? $content : '';
    
  }
  

?>