<?php

namespace App\Http\Controllers\Admin;
use App\Http\Requests\RoleRequest;
use App\Http\Controllers\Controller;
use App\Models\Role;
use App\Models\RoleHasPermission;
use Session;


class RoleController extends Controller
{
  
    public function __construct()
    {
       $this->middleware('auth:admin');
    }
 
    public function index() {

        return view('admin.roles.index');
        
    }

    public function create() {

        
        return view('admin.roles.create');
       
    }

    public function store(RoleRequest $request) {

        $input = $request->only('name','guard_name');
        $result = Role::create($input);
        if($result){
           Session::flash('success', 'Role created successfully'); 
        } else {
           Session::flash('danger', 'Error encounterd');
        }
        return redirect()->route('admin.roles.list');
    }


    public function edit($id) {

         $role = Role::findOrFail($id);
         return view('admin.roles.edit',compact('role'));
    }

    public function update(RoleRequest $request, $id) {

        $input = $request->only('name','guard_name');
        $role = Role::findOrFail($id);
        $result = $role->update($input);
        if($result){
           Session::flash('success', 'Role updated successfully'); 
        } else {
           Session::flash('danger', 'Error encounterd');
        }
        if($request->Submit == 'update'){
            return redirect()->route('admin.roles.list');
        }else{
            return redirect()->back();
        }
        
    } 


    public function destroy($id) {

        $role = Role::where([['id','<>', 1],['id','=', $id]])->firstOrFail();
        $result = Role::destroy($id);
        $result2 = RoleHasPermission::where('role_id', $id)->delete();
        if($result){
           Session::flash('success', 'Role deleted Successfully'); 
        } else {
           Session::flash('danger', 'Error Encounterd');
        }
        return redirect()->route('admin.roles.list');
    }  



}
