<?php

namespace App\Http\Controllers\Admin;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Redirect;
use Session;
use File;


class SeoSettingController extends Controller
{
  
    public function __construct()
    {
       $this->middleware('auth:admin');
    }

    
    public function manage(Request $request) {


        if($request->isMethod('POST')){

            $result1 = false;
            $result2 = false;
            if($request->hasFile('sitemap'))
        {

        if($request->sitemap->getClientOriginalName() == 'sitemap.xml'){
            $destinationPath = '/';
            $file = $request->file('sitemap');
            $original_name = pathinfo($file->getClientOriginalName(), PATHINFO_FILENAME);
            $extension = $file->getClientOriginalExtension();
            $filename=$original_name.'.'.$extension;

            if(file_exists(base_path('\\' .$filename))) 
            {
                File::delete(base_path('\\' .$filename));
            }
            
            $result1 = $file->move(
                 base_path().$destinationPath, $filename
            );

        }
 
        }
        if($request->hasFile('robots'))
        {

        if($request->robots->getClientOriginalName() == 'robots.txt'){
            $destinationPath = '/';
            $file = $request->file('robots');
            $original_name = pathinfo($file->getClientOriginalName(), PATHINFO_FILENAME);
            $extension = $file->getClientOriginalExtension();
            $filename=$original_name.'.'.$extension;

            if(file_exists(base_path('\\' .$filename))) 
            {
                File::delete(base_path('\\' .$filename));
            }
            
            $result2 =  $file->move(
                base_path().$destinationPath, $filename
            );

        } 
 
        }
            if ($request->hasFile('sitemap') || $request->hasFile('robots')) {
                if($result1 || $result2){
                   Session::flash('success', 'Files uploaded successfully'); 
                } else {
                   Session::flash('danger', 'sitemap file name should be sitemap.xml and robots file name should be robots.txt');
                }
            }else{
                Session::flash('warning', 'Nothing has selected');
            }
            return redirect()->route('admin.seo.setting');

        }

        else {

            return view('admin.seo.index');
        }
        
    }



        public function redirectUrl(Request $request){
        
        if($request->ajax() && $request->isMethod('POST')){

            $request->from_url = ltrim($request->from_url, '/'); 

            $data['from_url'] = $request->from_url;
            $data['to_url'] = $request->to_url;

            $validator = Validator::make($data, [
                'from_url' => 'required|string|unique:redirects,from_url',
                'to_url' => 'required|url',
            ]);

            if ($validator->fails()) {
                 return response()->json(['status' => false, 'danger' => $validator->getMessageBag()->toArray()]);
            }

            $input['from_url'] = $data['from_url'];
            $input['to_url'] = $data['to_url'];
            $result = Redirect::create($input);
            return response()->json(['status' => true, 'success' => '301 Redirect added successfully']);


        }elseif($request->ajax() && $request->isMethod('PATCH')){

            $request->from_url = ltrim($request->from_url, '/'); 

            $data['from_url'] = $request->from_url;
            $data['to_url'] = $request->to_url;
            $data['id'] = $request->id;

            $validator = Validator::make($data, [
                'from_url' => 'required|string|unique:redirects,from_url,'.$data['id'],
                'to_url' => 'required|url',
                'id' => 'required|integer'
            ]);

            if ($validator->fails()) {
                 return response()->json(['status' => false, 'danger' => $validator->getMessageBag()->toArray()]);
            }

            $input['from_url'] = $data['from_url'];
            $input['to_url'] = $data['to_url'];
            $redirect = Redirect::findOrFail($data['id']);
            $result = $redirect->update($input);
            return response()->json(['status' => true, 'success' => '301 Redirect updated successfully']);


        }elseif($request->ajax() && $request->isMethod('DELETE')){

            $validator = Validator::make($request->only('id'), [
                'id' => 'required|integer'
            ]);

            if ($validator->fails()) {
                 return response()->json(['status' => false, 'danger' => $validator->getMessageBag()->toArray()]);
            }

             $result = Redirect::findOrFail($request->id)->delete();
             return response()->json(['status' => true, 'success' => 'Redirect information deleted successfully']);

        }else{

            $redirects = Redirect::orderBy('created_at', 'desc')->get();
            return view('admin.seo.301-redirect',compact('redirects'));

        }
    }


}
